## lyskom-server 2.1.2

=== debian/changelog ===
lyskom-server (2.1.2-18) unstable; urgency=medium

  * Incorporate NMU 2.1.2-16.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2025 14:40:45 +0200

lyskom-server (2.1.2-17) unstable; urgency=medium

  * Update regex library internal prototypes with arguments and reorder
    type definitions and prototypes (Closes: #1097343).
  * Drop dependency on system-log-daemon (Closes: #1072027).
  * Use dh_auto_configure to pass the correct host and build triplets to
    ./configure (Closes: #986990).
  * Upgrade to Debhelper compat level 13 and fix dependencies (Closes: #1105537).
  * Update Lintian overrides.
  * Convert po files to UTF-8.
  * Replace dependency on ancient lsb-base with a pre-dependency on init-system-helpers.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 05 Oct 2025 13:27:56 +0200

lyskom-server (2.1.2-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/po/es.po: updated (Closes: #1017458).
  * debian/po/da.po: updated (Closes: #923144).
  * debian/po/pt_BR.po: updated (Closes: #1028015).

 -- Paulo Henrique de Lima Santana (phls) <phls@debian.org>  Thu, 13 Mar 2025 16:47:14 -0300

lyskom-server (2.1.2-16) unstable; urgency=low

  * Update Russian Debconf translations (Closes: #920891). Thanks to Lev
    Lamberov <dogsleg@debian.org>.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 30 Jan 2019 21:43:04 +0100

lyskom-server (2.1.2-15) unstable; urgency=low

  * Avoid MAXHOSTNAMELEN to possibly make building work on Hurd.
  * Update Debconf template translations:
    * Português from Américo Monteiro (Closes: #852644).
    * Nederlands from Frans Spiesschaert (Closes: #855474).
    * Italiano from Beatrice Torracca  (Closes: #860379).
    * Français from Alban Vidal (Closes: #865991).
    * Deutsch from Helge Kreutzmann (Closes: #906171).
  * Remove dependency on obsolete package dh-systemd.
  * Remove redundant dependency on dh-autoreconf.
  * Move git repository to salsa.debian.org.
  * Change Priority: extra to optional.
  * Override Lintian warnings about unsplit language choices and
    translated default language, as well as ancient libtool in unused
    liboop bundle.
  * Increase Standards-Version to 4.2.1

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 05 Nov 2018 23:20:45 +0100

lyskom-server (2.1.2-14) unstable; urgency=low

  * Switch to source format 3.0 (quilt) and use dh_autoreconf.
    Build-depend on texinfo because rebuild makefiles demand it.
  * Let dh_installinit install /etc/default/lyskom-server.
  * Update VCS URLs.
  * ignore_missing_python.patch: Ignore absence of python interpreter,
    only used for rebuilding documentation.
  * debian.patch: Don't patch db-crypt/db/Makefile.* and don't run
    distclean in that directory separately since we exclude it from
    SUBDIRS in ./Makefile.am.
  * no_bundles.patch (new): Exclude bundled libadns and liboop from
    build. Use new oop_signal_new_flags() in liboop 1.0.1.
  * Use dpkg-buildflags, remove redundant configure options, and send
    DESTDIR to make install on the command line, as usual, instead of
    through the environment.
  * yyerror.patch (new): Avoid error when compiling with
    -Werror=format-security.
  * Add Italian debconf translations (Closes: #778385). Thanks to Beatrice
    Torracca and the Italian localization team.
  * lyskom-server.postrm: Remove hard-coded path to deluser.
  * Drop dependencies on flex and bison since we don't normally regenerate
    any parser code.
  * Add systemd service unit, which runs lyskomd directly as a simple
    daemon.  For consistency, the SysV init script now does start lyskomd
    rather than just signal that it should be started.
  * On initial installation, prompt for and set an initial password so
    that lyskomd kan be safely started right away.
  * Add missing lsb-base dependency.
  * debian/rules: Don't run dh_installinfo since "make install" installs
    info documents already.
  * debian/rules, lyskom-server.postinst: Also install initial number.txt.
  * Switch to Debhelper compat level 10.
  * README.Debian: Add warning about weak security.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 23 Jan 2017 22:45:00 +0100

lyskom-server (2.1.2-13) unstable; urgency=low

  * New maintainer.
  * Rename debian/lyskom-server.copyright debian/copyright as a source
    package should have a debian/copyright file.
  * Create /var/run/lyskom-server in the init script instead of shipping
    it with the package (Closes: #689898). Thanks Thomas Goirand.
  * Drop the $startonboot variable, which is rather pointless since
    lyskomd is actually started via cron, is disabled there by default,
    and will start regardless of $startonboot because the status file
    won't exist.
  * Fix LSB header in the init script: add $remote_fs and move $local_fs
    to Required-Start/Required-Stop; delete commas.
  * Add dependency on rsyslog | system-log-daemon, since the LSB header
    indicates that lyskomd requires a syslog facility.
  * Rework and simplify lyskom-server.postinst:
    * Use dpkg-statoverride to set ownership of data and log directories.
    * Don't nullify errors; the package should be left in an unconfigured
      state in such cases. Remove sanity checks.
    * Simply call adduser with --quiet instead of checking whether the
      lyskom user already exists.
    * Set stricter modes on the directories.
  * Don't delete /var/run/lyskom-server/status in the init script. It is
    created by komrunning when shutting down lyskomd to keep updateLysKOM
    from starting lyskomd again.
  * lyskom-server.postrm: As recommended by policy, don't delete log files
    until on purge. Also, simply rm -rf /var/lib/lyskom-server
    /var/log/lyskom-server.
  * Add dependendy on cron | cron-daemon, since that's how lyskomd is
    started.
  * debian/rules: Add build-indep and build-arch targets.


