=== debian/control ===
Source: lyskom-server
Section: net
Priority: optional
Maintainer: Magnus Holmgren <holmgren@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf, texinfo,
 libadns1-dev, liboop-dev (>= 1.0.1~)
Standards-Version: 4.7.2
Homepage: https://www.lysator.liu.se/lyskom/lyskom-server/
Vcs-Git: https://salsa.debian.org/holmgren/lyskom-server.git
Vcs-Browser: https://salsa.debian.org/holmgren/lyskom-server

Package: lyskom-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0,
 adduser, cron | cron-daemon
Suggests: lyskom-elisp-client | lyskom-tty-client, system-log-daemon
Homepage: http://www.lysator.liu.se/lyskom/lyskom-server/
Description: Server for the LysKOM conference system
 LysKOM has a lot in common with netnews, but LysKOM is
 intended for local discussions (instead of worldwide).
 LysKOM consists of a server process and several client
 programs. The server process maintains a data base of
 persons, conferences and articles. The clients connect to
 the server and let the users browse the database for
 unread articles.
 .
 LysKOM is much faster than netnews - almost as fast as irc
 or ICQ! - but like in netnews the articles are saved so
 that you don't have to be logged in to receive the news.
